summaryrefslogtreecommitdiff
path: root/tests/id
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2014-05-19 18:21:57 +0100
committerPádraig Brady <P@draigBrady.com>2014-05-21 11:18:27 +0100
commit7a63d6395ac117b753a18468a9b3f5ed95d176d4 (patch)
treec01b1115f71bd4a4b98b1dc6f9383d4228507e5f /tests/id
parent0c4729516baa2fbefb0af66c38f434b1f7519078 (diff)
downloadcoreutils-7a63d6395ac117b753a18468a9b3f5ed95d176d4.tar.xz
tests: use chroot --user rather than internal setuidgid tool
* init.cfg (require_root_): Adjust to use chroot, and make `require_built_ chroot` implicit when chroot used in the test. * po/POTFILES.in: Remove reference to setuidgid tool. * src/.gitignore: Likewise. * src/local.mk: Likewise. * src/setuidgid.c: Remove. * tests/cp/preserve-gid.sh: s/setuidgid/chroot --user/. * tests/cp/special-bits.sh: Likewise. * tests/id/setgid.sh: Likewise. * tests/misc/truncate-owned-by-other.sh * tests/mv/sticky-to-xpart.sh: Likewise. * tests/rm/fail-2eperm.sh: Likewise. * tests/rm/no-give-up.sh: Likewise. * tests/touch/now-owned-by-other.sh: Likewise. * tests/misc/chroot-fail.sh: Skip if chroot not built.
Diffstat (limited to 'tests/id')
-rwxr-xr-xtests/id/setgid.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/id/setgid.sh b/tests/id/setgid.sh
index 9da35385e..aa43ea37f 100755
--- a/tests/id/setgid.sh
+++ b/tests/id/setgid.sh
@@ -27,7 +27,8 @@ gp1=$(expr $g + 1)
echo $gp1 > exp || framework_failure_
-setuidgid -g $gp1 $NON_ROOT_USERNAME env PATH="$PATH" id -G > out || fail=1
+chroot --user=$NON_ROOT_USERNAME:$gp1 --groups='' / env PATH="$PATH" \
+ id -G > out || fail=1
compare exp out || fail=1
# With coreutils-8.16 and earlier, id -G would print both: $gp1 $g